Pinnacle
API ReferenceCampaignsRCS Campaigns

Create or Update RCS Campaign

Serverhttps://api.pinnacle.sh/
POST
/campaigns/rcs

Request body

Edit JSON, then apply it to your request.

JSON

Create a new RCS campaign or update an existing one.

Before you start: Create a brand first — you'll need its id for the brand field.

All fields are required unless specified otherwise, and will be validated when submitted.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

objectOptional

Create an agent for the campaign.

brandstringOptional

Unique identifier for the brand.

Range
1 <= value
Example
"b_1234567890"
campaignIdstringOptional

Unique identifier for the campaign.

Range
1 <= value
Example
"rcs_1234567890"
expectedAgentResponsesarray<string>Optional

List of what the agent might say to users. See the Expected Agent Responses section for requirements.

Limit: 1 to 5

Items
1 <= items <= 5
Each item
Example
"Your appointment is confirmed for tomorrow at 10:00 AM."
useCaseDescriptionstringOptional

Detailed summary of what the brand is and how this agent will be used. See the Use Case Behavior section for requirements.

Example
"Send appointment reminders and customer support updates."
messagingTypeunknownOptional

Type of message the agent sends.

OTP: One time passwords or verification codes.

TRANSACTIONAL: Account updates, alerts, or notifications.

PROMOTIONAL: Marketing, sales, or offers.

MULTI_USE: Mixed message types.

Allowed values
"OTP""TRANSACTIONAL""PROMOTIONAL""MULTI_USE"
ctaMediastringOptional

URL to the opt-in form or a URL to a screenshot of the opt-in CTA.

Example
"https://pinnacle.sh/opt-in"
optInMethodstringOptional

Details on how opt-in is acquired. If it is done through a website or app, provide the link. See the Opt-In Method section for requirements.

Example
"Customers opt in at https://pinnacle.sh/opt-in."
objectOptional
objectOptional
ctaLanguagestringOptional

Required text that appears next to the opt-in checkbox for your opt-in form. This checkbox has to be unchecked by default. See the CTA Language section for requirements.

Example
"By checking this box, you agree to receive appointment and support messages. Reply STOP to opt out."
demoTriggerstringOptional

Instructions on how an external reviewer can trigger messages and an example flow from the agent. This is usually an inbound text message to the agent that will start a flow of messages between the agent and the user. See the Demo Trigger section for requirements.

Example
"Text \"START\" to begin the demo flow."

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

Pinnacle referenceAsk Pinnacle

Get a sourced answer from the published documentation.

ViewingPinnacle documentation

Conversations are saved for analysis.

Try asking